﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
/*
Ismétlés nélküli kombináció - táblázatkitöltéssel 2
*/
namespace feladat
{
    class Program
    {
        // Konstansok
        const int MAXN = 90;

        static void Beolvasás(out int N, out int K)
        {
            //Feltesszük, hogy helyes az input, ezért nem ellenőrizzük
            Console.Error.WriteLine("Írd be N és K értékét! (N K)");
            string sor = Console.ReadLine();
            string[] adatok = sor.Split(' ');
            N = Convert.ToInt32(adatok[0]);
            K = Convert.ToInt32(adatok[1]);
        }

        static int binom(int n, int k)
        {
            int[] b = new int[MAXN];//Integer típusú tömb deklarálása
            b[0] = 1;
            for (int i = 1; i <= k; i++)
            {
                b[i] = b[i - 1] * (n - i + 1) / i;
            }
            return b[k];
        }

        static void Kiírás(int n, int k, int bnk)
        {
            Console.WriteLine("{0} alatt a(z) {1}: {2}", n, k, bnk);
        }

        static void Main(string[] args)
        {
            //A beolvasandó számok
            int N;
            int K;
            Beolvasás(out N, out K);
            int bnk = binom(N, K);
            Kiírás(N, K, bnk);
        }
    }
}

